package de.ivu.elect.business.internet.control;

import javax.inject.Inject;

import org.apache.commons.lang3.StringUtils;

import de.ivu.elect.business.internet.boundary.InternetSeiteDAO;
import de.ivu.elect.business.internet.entity.AbstractInternetWidget;
import de.ivu.elect.business.internet.entity.InternetWidget;

public class InternetWidgetCreate extends AbstractInternetWidgetCreate {

  @Inject
  private transient InternetSeiteDAO internetSeiteDAO;

  @Override
  public void save(InternetWidget entity) {
    entity.setInternetSeite(internetSeiteDAO.attach(entity.getInternetSeite()));

    // ELECT-15429
    if (StringUtils.isBlank(entity.getIdentifier())) {
      entity.setIdentifier(AbstractInternetWidget.createId());
    }
    super.save(entity);
  }

}
